remove selected services from device.md
Remove selected services from device
Fleets API · Devices
POST https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/removeServices
Removes selected services from a specific device. This clears all selected configurations from the device. Please ensure that any important configurations on the device are backed up first.
RBAC Capability Required: fleet.device.update
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
name |
string | Yes | — |
Request body
Content type: application/json
metadata· object · Required — Resource metadata.displayName· string · Required — A human-readable name for the resource.labels· map from strings to string · Optional — A dictionary of labels associated with the resource. Maximum number of labels: 32. Maximum length of a label or value: 256 characters. Label: alphanumeric, hyphens and underscores. Value: alphanumeric, hyphens, underscores and spaces.[any key]· string — map of additional properties
spec· object · Required — Device services remove specificationdescription· string · Required · <=2048 characters — The description to use in the MKC file.selector· object · Optional — The selector used to pick which services to removetags· object · Optional — The tags the selector used to pick which services to removeexclude· list of strings · Optional — The exclude tags the selector used to pick which services to remove- Array items (string):
include· list of strings · Optional — The include tags the selector used to pick which services to remove- Array items (string):
Example request
curl -X POST "https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/removeServices" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"metadata": {
"displayName": "string",
"labels": {
"key": "string"
}
},
"spec": {
"description": "string",
"selector": {
"tags": {
"exclude": [
"string"
],
"include": [
"string"
]
}
}
}
}'
Responses
202 — The non-flow services were successfully removed.
No response body.
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
401 — Unauthorized
403 — Forbidden
404 — Not Found
409 — Conflict
429 — Too Many Requests
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · **Required` — The HTTP status code